> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Markets

> Retrieve a list of markets

<Note>
  **x402 Support:** Supported.
  See the [x402 guide](/api-reference/x402-payments#supported-endpoints).
</Note>


## OpenAPI

````yaml GET /metrics/v1/markets
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v1/markets:
    get:
      tags:
        - metrics/markets
      summary: Get markets
      description: Retrieve a list of markets
      operationId: getMarkets
      parameters:
        - description: Number of items per page
          in: query
          name: limit
          schema:
            format: int64
            type: integer
            example: 10
            default: 10
        - description: Number of items per page. Kept for backward compatibility
          in: query
          name: pageSize
          schema:
            format: int64
            type: integer
        - description: Page number
          in: query
          name: page
          schema:
            format: int64
            type: integer
            example: 1
            default: 1
        - in: query
          name: exchangeId
          schema:
            type: string
        - in: query
          name: exchangeSlug
          schema:
            type: string
        - in: query
          name: quoteAssetId
          schema:
            type: string
        - in: query
          name: quoteAssetSlug
          schema:
            type: string
        - in: query
          name: baseAssetId
          schema:
            type: string
        - in: query
          name: baseAssetSlug
          schema:
            type: string
        - in: query
          name: volume24hAbove
          schema:
            format: double
            type: number
        - in: query
          name: volume24hBelow
          schema:
            format: double
            type: number
        - in: query
          name: liveness
          description: >-
            Comma-separated list of liveness statuses to filter by. Possible
            values:

            - `live`: The market has had a trade in approximately the last 10
            minutes.

            - `stale`: The market has had a trade in the last 24 hours, but not
            in the last ~10 minutes.

            - `inactive`: The market has not had any trades for more than 24
            hours.
          schema:
            type: string
            example: live,stale
        - in: query
          name: activitySince
          description: >-
            Filter to markets that have had a trade since this date. Accepts
            RFC3339 (e.g. `2024-01-15T00:00:00Z`), `YYYY-MM-DD`, or a unix
            timestamp.
          schema:
            type: string
            example: '2024-01-15'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/Market'
                    type: array
                  error:
                    type: string
                  metadata:
                    $ref: '#/components/schemas/SnapshotListingMetadata'
                required:
                  - data
                type: object
                example:
                  error: null
                  data:
                    - id: 6057-649-44
                      baseAsset:
                        id: 1e31218a-e44e-4285-820c-8282ee222035
                        name: Bitcoin
                        slug: bitcoin
                        symbol: BTC
                      baseAssetSector: Cryptocurrency
                      quoteAsset:
                        id: 60dcd17b-00f3-49f8-907c-f390c2521c59
                        name: United States Dollar
                        slug: fedcoin
                        symbol: USD
                      quoteAssetSector: ''
                      exchange:
                        id: 181f44f6-f9b7-4c11-9e44-7c7f803d808e
                        name: Coinbase
                        slug: coinbase
                      network: null
                      sectors:
                        - Cryptocurrency
                      firstTradeAt: '2014-12-01T06:00:00Z'
                      lastTradeAt: '2026-03-04T23:34:00Z'
                      isNewMarket: false
                      isRecentlyListed: false
                      liveness: live
                      metrics:
                        exchangeVolumePercentage24h: 44.03
                        latestPrice24hOpen: 68435.06
                        latestPrice24hHigh: 74100
                        latestPrice24hLow: 67391.17
                        latestPrice24hClose: 72432.08
                        premiumDiscount: -0.015
                        volume24h: 1496297599.8
                        tradeCount24h: 1219331
                  metadata:
                    pageSize: 1
                    page: 1
                    totalRows: 742
                    totalPages: 742
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    Market:
      properties:
        baseAsset:
          $ref: '#/components/schemas/AssetEntity'
        baseAssetSector:
          type: string
        exchange:
          $ref: '#/components/schemas/ExchangeEntity'
        firstTradeAt:
          format: date-time
          type: string
        id:
          type: string
        isNewMarket:
          type: boolean
        isRecentlyListed:
          type: boolean
        lastTradeAt:
          format: date-time
          type: string
        liveness:
          type: string
        metrics:
          $ref: '#/components/schemas/MarketMetrics'
        network:
          $ref: '#/components/schemas/NetworkEntity'
        quoteAsset:
          $ref: '#/components/schemas/AssetEntity'
        quoteAssetSector:
          type: string
        sectors:
          items:
            type: string
          type: array
      required:
        - baseAsset
        - baseAssetSector
        - exchange
        - firstTradeAt
        - id
        - isNewMarket
        - isRecentlyListed
        - lastTradeAt
        - liveness
        - metrics
        - quoteAsset
        - quoteAssetSector
        - sectors
      type: object
    SnapshotListingMetadata:
      properties:
        page:
          format: int64
          type: integer
          description: Current page number
        pageSize:
          format: int64
          type: integer
          description: Number of results per page
        totalPages:
          format: int64
          type: integer
          description: Total number of pages
        totalRows:
          format: int64
          type: integer
          description: Total number of rows
      required:
        - page
        - pageSize
        - totalPages
        - totalRows
      type: object
      description: Pagination metadata
    AssetEntity:
      type: object
      properties:
        id:
          type: string
          description: Asset UUID
        name:
          type: string
          description: Asset name
        symbol:
          type: string
          description: Asset symbol
        slug:
          type: string
          description: Asset slug
    ExchangeEntity:
      type: object
      description: Schema for ExchangeEntity
      properties: {}
      additionalProperties: true
    MarketMetrics:
      type: object
      description: Schema for MarketMetrics
      properties: {}
      additionalProperties: true
    NetworkEntity:
      type: object
      description: Schema for NetworkEntity
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````